summaryrefslogtreecommitdiffstats
path: root/slackware64/ap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /slackware64/ap
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'slackware64/ap')
-rwxr-xr-xslackware64/ap/install-packages73
-rw-r--r--slackware64/ap/install.end14
-rw-r--r--slackware64/ap/maketag103
-rw-r--r--slackware64/ap/maketag.ez103
-rw-r--r--slackware64/ap/tagfile68
5 files changed, 361 insertions, 0 deletions
diff --git a/slackware64/ap/install-packages b/slackware64/ap/install-packages
new file mode 100755
index 000000000..3232fb680
--- /dev/null
+++ b/slackware64/ap/install-packages
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Copyright 2002 Slackware Linux, Inc., Concord, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This is a simple script to install a package series from the command line.
+# If you're already running Slackware, you can just run this script to install
+# the packages.
+#
+# I originally got the idea for this tool because Slackware with both KDE and
+# GNOME doesn't fit on a single CD-ROM anymore, so I wanted to provide a quick
+# way to add a series later on with the same ease as the initial installation.
+#
+# To use this script, just run it as root in the current directory like this:
+#
+# ./install-packages
+#
+# Note that this script does not make any attempt to remove or upgrade existing
+# packages. If you want to upgrade an existing installation, you will be better
+# served using the pkgtools directly. Here's how to upgrade all the packages in
+# this series:
+#
+# upgradepkg *.t?z (upgrades already installed packages)
+# installpkg *.t?z (installs all packages, to make sure new ones are installed)
+#
+# If you upgrade a series like this, afterwards you might need to merge over any
+# required changes in the new config files, which will have the suffix .new.
+# These can be found like this:
+#
+# find / -name "*.new"
+#
+# OK, on with the show! Enjoy! :-)
+#
+# Patrick Volkerding <volkerdi@slackware.com>
+
+# Use the existing maketag script to provide a package selection menu:
+sh maketag
+
+# Quick bail if nothing was requested:
+if grep ADD /var/log/setup/tmp/SeTnewtag 1> /dev/null 2> /dev/null ; then
+ true
+else
+ rm -f /var/log/setup/tmp/SeTnewtag
+ exit
+fi
+
+# Install the selected packages:
+for PKG in *.t?z ; do
+ if [ ! "$ROOT" = "" ]; then
+ installpkg -root $ROOT -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ else
+ installpkg -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ fi
+done
+rm -f /var/log/setup/tmp/SeTnewtag
+echo
+echo "Done installing packages."
diff --git a/slackware64/ap/install.end b/slackware64/ap/install.end
new file mode 100644
index 000000000..67eb307dd
--- /dev/null
+++ b/slackware64/ap/install.end
@@ -0,0 +1,14 @@
+#SERIES_LAST_DIRECTORY
+
+This file must be present to signal to 'setup' that this is the last
+directory in this package series. It serves no other purpose, other than
+to make you curious enough to use rot13 to read the rest of it (_at your
+own risk!_ :)
+
+Sbe vasbezngvba nobhg trggvat "Obo" va lbhe yvsr, cyrnfr ivfvg:
+
+ Puhepu bs gur FhoTravhf
+ uggc://jjj.fhotravhf.pbz
+
+Qba'g fnl lbh jrer abg jnearq jura gur Kvfgf pbzr sbe lbh.
+
diff --git a/slackware64/ap/maketag b/slackware64/ap/maketag
new file mode 100644
index 000000000..f6a5c26d0
--- /dev/null
+++ b/slackware64/ap/maketag
@@ -0,0 +1,103 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES AP (APPLICATIONS)" \
+ --checklist "Please confirm the packages you wish to install \
+from series AP. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are \
+done." 22 72 12 \
+"a2ps" "Any to .ps filter (required by APSfilter)" "on" \
+"acct" "Process accounting utilities" "on" \
+"alsa-utils" "ALSA sound utilities" "on" \
+"amp" "A command-line MP3 player" "on" \
+"ash" "A small /bin/sh type shell" "on" \
+"at" "Schedule commands to execute at a later time" "on" \
+"aumix" "Audio mixer for the console or X" "on" \
+"bc" "GNU bc - arbitrary precision math language" "on" \
+"bpe" "Binary Patch (file) Editor" "on" \
+"cdparanoia" "Cdparanoia CD audio ripper" "on" \
+"cdrdao" "Tool for burning audio CDRs" "on" \
+"cdrtools" "CD-R/RW mastering/burning tools" "on" \
+"cupsddk" "CUPS Driver Development Kit" "on" \
+"dc3dd" "Enhanced dd for computer forensics" "on" \
+"diffstat" "Generate diff statistics" "on" \
+"diffutils" "GNU diffutils - find file differences" "on" \
+"dmapi" "Data Management API library for xfsdump" "on" \
+"dmidecode" "DMI table decoder (displays hardware info)" "on" \
+"dvd+rw-tools" "DVD+/-R/RW mastering/burning tools" "on" \
+"enscript" "A text to PostScript utility" "on" \
+"flac" "Free Lossless Audio Codec" "on" \
+"foomatic-filters" "Print filter for gutenprint and hplip" "on" \
+"ghostscript" "GPL Ghostscript PS/PDF interpreter" "on" \
+"ghostscript-fonts-std" "Ghostscript Type1 fonts" "on" \
+"gphoto2" "A command-line camera client for libgphoto2" "on" \
+"groff" "GNU groff document formatting system" "on" \
+"gutenprint" "Additional printer drivers for gs and CUPS" "on" \
+"hplip" "HP printing and scanning software" "on" \
+"ispell" "The International version of ispell" "on" \
+"jed" "JED programmer's editor" "on" \
+"joe" "joe text editor" "on" \
+"jove" "Jonathan's Own Version of Emacs text editor" "on" \
+"ksh93" "KornShell language and interactive shell" "on" \
+"libx86" "Real-mode x86 code execution library" "on" \
+"linuxdoc-tools" "Utilities for DocBook/SGML documents" "on" \
+"lm_sensors" "Hardware monitoring package" "on" \
+"lsof" "A tool to list open files" "on" \
+"lsscsi" "Display infomation about SCSI devices" "on" \
+"madplay" "MPEG audio player" "on" \
+"man" "Primary tool for reading online documentation" "on" \
+"man-pages" "Online documentation (requires groff)" "on" \
+"mc" "The Midnight Commander file manager" "on" \
+"most" "A pager, like 'more' or 'less'" "on" \
+"mpg321" "A command-line MP3 player" "on" \
+"mysql" "MySQL database server" "on" \
+"nano" "A simple editor with the look and feel of Pico" "on" \
+"normalize" "Normalize audio file volume" "on" \
+"ntfsprogs" "Utilities for the NTFS filesystem" "on" \
+"pm-utils" "Power management utilities" "on" \
+"radeontool" "Utility for laptops with a Radeon chipset" "on" \
+"rexima" "Small console audio mixer" "on" \
+"rpm" "RPM package tool (unsupported)" "on" \
+"rzip" "A large file compression utility" "on" \
+"sc" "The 'sc' spreadsheet" "on" \
+"screen" "ANSI/vt100 virtual terminal emulator" "on" \
+"seejpeg" "An SVGAlib image viewer" "on" \
+"slackpkg" "Slackware package updating tool" "on" \
+"sox" "Sound utilities" "on" \
+"sqlite" "A small SQL database server and library" "on" \
+"sudo" "Allow special users limited root access" "on" \
+"sysstat" "System performance monitoring tools" "on" \
+"texinfo" "GNU texinfo documentation system" "on" \
+"vbetool" "Video BIOS execution tool" "on" \
+"vim" "Improved vi clone" "on" \
+"vorbis-tools" "Ogg Vorbis encoder, player, and utilities" "on" \
+"workbone" "a text-based audio CD player" "on" \
+"xfsdump" "Backup/restore tools for the XFS filesystem" "on" \
+"zsh" "Zsh - a custom *nix shell" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+a2ps acct alsa-utils amp ash at aumix bc bpe cdparanoia cdrdao cdrtools cupsddk dc3dd diffstat diffutils dmapi dmidecode dvd+rw-tools enscript flac foomatic-filters ghostscript ghostscript-fonts-std gphoto2 groff gutenprint hplip ispell jed joe jove ksh93 libx86 linuxdoc-tools lm_sensors lsof lsscsi madplay man man-pages mc most mpg321 mysql nano normalize ntfsprogs pm-utils radeontool rexima rpm rzip sc screen seejpeg slackpkg sox sqlite sudo sysstat texinfo vbetool vim vorbis-tools workbone xfsdump zsh \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+a2ps acct alsa-utils amp ash at aumix bc bpe cdparanoia cdrdao cdrtools cupsddk dc3dd diffstat diffutils dmapi dmidecode dvd+rw-tools enscript flac foomatic-filters ghostscript ghostscript-fonts-std gphoto2 groff gutenprint hplip ispell jed joe jove ksh93 libx86 linuxdoc-tools lm_sensors lsof lsscsi madplay man man-pages mc most mpg321 mysql nano normalize ntfsprogs pm-utils radeontool rexima rpm rzip sc screen seejpeg slackpkg sox sqlite sudo sysstat texinfo vbetool vim vorbis-tools workbone xfsdump zsh \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/ap/maketag.ez b/slackware64/ap/maketag.ez
new file mode 100644
index 000000000..f6a5c26d0
--- /dev/null
+++ b/slackware64/ap/maketag.ez
@@ -0,0 +1,103 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES AP (APPLICATIONS)" \
+ --checklist "Please confirm the packages you wish to install \
+from series AP. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are \
+done." 22 72 12 \
+"a2ps" "Any to .ps filter (required by APSfilter)" "on" \
+"acct" "Process accounting utilities" "on" \
+"alsa-utils" "ALSA sound utilities" "on" \
+"amp" "A command-line MP3 player" "on" \
+"ash" "A small /bin/sh type shell" "on" \
+"at" "Schedule commands to execute at a later time" "on" \
+"aumix" "Audio mixer for the console or X" "on" \
+"bc" "GNU bc - arbitrary precision math language" "on" \
+"bpe" "Binary Patch (file) Editor" "on" \
+"cdparanoia" "Cdparanoia CD audio ripper" "on" \
+"cdrdao" "Tool for burning audio CDRs" "on" \
+"cdrtools" "CD-R/RW mastering/burning tools" "on" \
+"cupsddk" "CUPS Driver Development Kit" "on" \
+"dc3dd" "Enhanced dd for computer forensics" "on" \
+"diffstat" "Generate diff statistics" "on" \
+"diffutils" "GNU diffutils - find file differences" "on" \
+"dmapi" "Data Management API library for xfsdump" "on" \
+"dmidecode" "DMI table decoder (displays hardware info)" "on" \
+"dvd+rw-tools" "DVD+/-R/RW mastering/burning tools" "on" \
+"enscript" "A text to PostScript utility" "on" \
+"flac" "Free Lossless Audio Codec" "on" \
+"foomatic-filters" "Print filter for gutenprint and hplip" "on" \
+"ghostscript" "GPL Ghostscript PS/PDF interpreter" "on" \
+"ghostscript-fonts-std" "Ghostscript Type1 fonts" "on" \
+"gphoto2" "A command-line camera client for libgphoto2" "on" \
+"groff" "GNU groff document formatting system" "on" \
+"gutenprint" "Additional printer drivers for gs and CUPS" "on" \
+"hplip" "HP printing and scanning software" "on" \
+"ispell" "The International version of ispell" "on" \
+"jed" "JED programmer's editor" "on" \
+"joe" "joe text editor" "on" \
+"jove" "Jonathan's Own Version of Emacs text editor" "on" \
+"ksh93" "KornShell language and interactive shell" "on" \
+"libx86" "Real-mode x86 code execution library" "on" \
+"linuxdoc-tools" "Utilities for DocBook/SGML documents" "on" \
+"lm_sensors" "Hardware monitoring package" "on" \
+"lsof" "A tool to list open files" "on" \
+"lsscsi" "Display infomation about SCSI devices" "on" \
+"madplay" "MPEG audio player" "on" \
+"man" "Primary tool for reading online documentation" "on" \
+"man-pages" "Online documentation (requires groff)" "on" \
+"mc" "The Midnight Commander file manager" "on" \
+"most" "A pager, like 'more' or 'less'" "on" \
+"mpg321" "A command-line MP3 player" "on" \
+"mysql" "MySQL database server" "on" \
+"nano" "A simple editor with the look and feel of Pico" "on" \
+"normalize" "Normalize audio file volume" "on" \
+"ntfsprogs" "Utilities for the NTFS filesystem" "on" \
+"pm-utils" "Power management utilities" "on" \
+"radeontool" "Utility for laptops with a Radeon chipset" "on" \
+"rexima" "Small console audio mixer" "on" \
+"rpm" "RPM package tool (unsupported)" "on" \
+"rzip" "A large file compression utility" "on" \
+"sc" "The 'sc' spreadsheet" "on" \
+"screen" "ANSI/vt100 virtual terminal emulator" "on" \
+"seejpeg" "An SVGAlib image viewer" "on" \
+"slackpkg" "Slackware package updating tool" "on" \
+"sox" "Sound utilities" "on" \
+"sqlite" "A small SQL database server and library" "on" \
+"sudo" "Allow special users limited root access" "on" \
+"sysstat" "System performance monitoring tools" "on" \
+"texinfo" "GNU texinfo documentation system" "on" \
+"vbetool" "Video BIOS execution tool" "on" \
+"vim" "Improved vi clone" "on" \
+"vorbis-tools" "Ogg Vorbis encoder, player, and utilities" "on" \
+"workbone" "a text-based audio CD player" "on" \
+"xfsdump" "Backup/restore tools for the XFS filesystem" "on" \
+"zsh" "Zsh - a custom *nix shell" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+a2ps acct alsa-utils amp ash at aumix bc bpe cdparanoia cdrdao cdrtools cupsddk dc3dd diffstat diffutils dmapi dmidecode dvd+rw-tools enscript flac foomatic-filters ghostscript ghostscript-fonts-std gphoto2 groff gutenprint hplip ispell jed joe jove ksh93 libx86 linuxdoc-tools lm_sensors lsof lsscsi madplay man man-pages mc most mpg321 mysql nano normalize ntfsprogs pm-utils radeontool rexima rpm rzip sc screen seejpeg slackpkg sox sqlite sudo sysstat texinfo vbetool vim vorbis-tools workbone xfsdump zsh \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+a2ps acct alsa-utils amp ash at aumix bc bpe cdparanoia cdrdao cdrtools cupsddk dc3dd diffstat diffutils dmapi dmidecode dvd+rw-tools enscript flac foomatic-filters ghostscript ghostscript-fonts-std gphoto2 groff gutenprint hplip ispell jed joe jove ksh93 libx86 linuxdoc-tools lm_sensors lsof lsscsi madplay man man-pages mc most mpg321 mysql nano normalize ntfsprogs pm-utils radeontool rexima rpm rzip sc screen seejpeg slackpkg sox sqlite sudo sysstat texinfo vbetool vim vorbis-tools workbone xfsdump zsh \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/ap/tagfile b/slackware64/ap/tagfile
new file mode 100644
index 000000000..0ce719451
--- /dev/null
+++ b/slackware64/ap/tagfile
@@ -0,0 +1,68 @@
+a2ps:REC
+acct:OPT
+alsa-utils:REC
+amp:OPT
+ash:OPT
+at:OPT
+aumix:OPT
+bc:OPT
+bpe:OPT
+cdparanoia:OPT
+cdrdao:OPT
+cdrtools:OPT
+cupsddk:REC
+dc3dd:OPT
+diffstat:REC
+diffutils:REC
+dmapi:REC
+dmidecode:ADD
+dvd+rw-tools:OPT
+enscript:OPT
+flac:OPT
+foomatic-filters:REC
+ghostscript:REC
+ghostscript-fonts-std:REC
+gphoto2:REC
+groff:ADD
+gutenprint:OPT
+hplip:REC
+ispell:OPT
+jed:OPT
+joe:OPT
+jove:OPT
+ksh93:OPT
+libx86:REC
+linuxdoc-tools:REC
+lm_sensors:REC
+lsof:OPT
+lsscsi:OPT
+madplay:OPT
+man:ADD
+man-pages:REC
+mc:OPT
+most:OPT
+mpg321:OPT
+mysql:OPT
+nano:REC
+normalize:OPT
+ntfsprogs:OPT
+pm-utils:OPT
+radeontool:REC
+rexima:REC
+rpm:OPT
+rzip:OPT
+sc:OPT
+screen:OPT
+seejpeg:REC
+slackpkg:REC
+sox:REC
+sqlite:OPT
+sudo:OPT
+sysstat:OPT
+texinfo:REC
+vbetool:REC
+vim:REC
+vorbis-tools:OPT
+workbone:OPT
+xfsdump:REC
+zsh:OPT